## cascading.util
Class S3Util

    java.lang.Object
      cascading.util.S3Util

Deprecated.

    @Deprecated
    public class S3Util

extends Object

Class S3Util encapsulates calls to the JetS3t API.

Nested Class Summary
`static class` `S3Util.Request` Deprecated.

Field Summary
`static String` `MIME_DIRECTORY` Deprecated.

Constructor Summary
`S3Util()` Deprecated.

Method Summary
`static boolean` `deleteObject(org.jets3t.service.S3Service s3Service, org.jets3t.service.model.S3Bucket s3Bucket, Path path)` Deprecated.
`static String` `getKeyFrom(Path path)` Deprecated.
`static org.jets3t.service.model.S3Object` `getObject(org.jets3t.service.S3Service s3Service, org.jets3t.service.model.S3Bucket s3Bucket, Path path, S3Util.Request type)` Deprecated.
`static InputStream` `getObjectInputStream(org.jets3t.service.model.S3Object object)` Deprecated.
`static org.jets3t.service.model.S3Bucket` `getS3Bucket(URI uri)` Deprecated.
`static org.jets3t.service.impl.rest.httpclient.RestS3Service` `getS3Service(URI uri)` Deprecated.
`static org.jets3t.service.impl.rest.httpclient.RestS3Service` `getS3Service(URI uri, String defaultAccessKey, String defaultSecretAccessKey)` Deprecated.
`static boolean` `isDirectory(org.jets3t.service.model.S3Object object)` Deprecated.
`static org.jets3t.service.model.S3Object[]` `listObjects(org.jets3t.service.S3Service s3Service, org.jets3t.service.model.S3Bucket s3Bucket, Path path)` Deprecated.
`static String[]` `parseAWSUri(URI uri, String defaultAccessKey, String defaultSecretAccessKey)` Deprecated.
`static void` `putObject(org.jets3t.service.S3Service s3Service, org.jets3t.service.model.S3Bucket bucket, org.jets3t.service.model.S3Object object)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MIME_DIRECTORY

    public static final String MIME_DIRECTORY

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### S3Util

    public S3Util()

  Deprecated.

Method Detail

### parseAWSUri

    @Deprecated
    public static String[] parseAWSUri(URI uri,
                                                  String defaultAccessKey,
                                                  String defaultSecretAccessKey)

  Deprecated.

  Parses the userinfo username and password out of the given URI, and retuns the embedded, or default, AWS access and secret keys.

  This code will handle underscores in bucket names.

  Parameters:
    `uri` -
    `defaultAccessKey` -
    `defaultSecretAccessKey` -
  Returns:
    a String[] with accessKey and secretKey

### getS3Service

    @Deprecated
    public static org.jets3t.service.impl.rest.httpclient.RestS3Service getS3Service(URI uri)

  Deprecated.

### getS3Service

    @Deprecated
    public static org.jets3t.service.impl.rest.httpclient.RestS3Service getS3Service(URI uri,
                                                                                                String defaultAccessKey,
                                                                                                String defaultSecretAccessKey)

  Deprecated.

### getS3Bucket

    @Deprecated
    public static org.jets3t.service.model.S3Bucket getS3Bucket(URI uri)

  Deprecated.

### deleteObject

    @Deprecated
    public static boolean deleteObject(org.jets3t.service.S3Service s3Service,
                                                  org.jets3t.service.model.S3Bucket s3Bucket,
                                                  Path path)
                                throws IOException

  Deprecated.

  Throws:
    `IOException`

### getObject

    @Deprecated
    public static org.jets3t.service.model.S3Object getObject(org.jets3t.service.S3Service s3Service,
                                                                         org.jets3t.service.model.S3Bucket s3Bucket,
                                                                         Path path,
                                                                         S3Util.Request type)
                                                       throws IOException

  Deprecated.

  Parameters:
    `s3Service` -
    `s3Bucket` -
    `path` -
    `type` -
  Returns:
    null if the S3 service returns a 404
  Throws:
    `IOException` - thrown if there is an error communicating to S3

### getKeyFrom

    @Deprecated
    public static String getKeyFrom(Path path)

  Deprecated.

### listObjects

    @Deprecated
    public static org.jets3t.service.model.S3Object[] listObjects(org.jets3t.service.S3Service s3Service,
                                                                             org.jets3t.service.model.S3Bucket s3Bucket,
                                                                             Path path)
                                                           throws IOException

  Deprecated.

  Throws:
    `IOException`

### isDirectory

    @Deprecated
    public static boolean isDirectory(org.jets3t.service.model.S3Object object)

  Deprecated.

### putObject

    @Deprecated
    public static void putObject(org.jets3t.service.S3Service s3Service,
                                            org.jets3t.service.model.S3Bucket bucket,
                                            org.jets3t.service.model.S3Object object)
                          throws IOException

  Deprecated.

  Throws:
    `IOException`

### getObjectInputStream

    @Deprecated
    public static InputStream getObjectInputStream(org.jets3t.service.model.S3Object object)
                                            throws IOException

  Deprecated.

  Throws:
    `IOException`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.